## hyprgraphics 0.1.5

=== debian/changelog ===
hyprgraphics (0.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1099341)

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 28 Jul 2025 11:48:50 +0200
