=== debian/control ===
Source: hyprgraphics
Section: libs
Priority: optional
Maintainer: Carl Keinath <carl.keinath@gmail.com>
Uploaders: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 g++-14,
 libpixman-1-dev,
 libcairo2-dev,
 libhyprutils-dev (>= 0.2.2),
 libjpeg-dev,
 libwebp-dev,
 libmagic-dev,
 libspng-dev,
 libjxl-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprgraphics
Vcs-Browser: https://salsa.debian.org/carlo711/hyprgraphics
Vcs-Git: https://salsa.debian.org/carlo711/hyprgraphics.git
Description: C++ graphics utility library for Hyprland
 Hyprgraphics is a small C++ library with graphics / resource related utilities
 used across the hypr* ecosystem.

Package: libhyprgraphics-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libhyprgraphics0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}

Package: libhyprgraphics0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} - library
 ${source:Extended-Description}
