=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
    https://github.com/hyprwm/hyprgraphics.git \
    refs/tags/v@ANY_VERSION@
