## hyprgraphics 0.2.0

=== debian/changelog ===
hyprgraphics (0.2.0-2) unstable; urgency=medium

  * d/patches: fix FTBFS on big endian

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 24 Oct 2025 12:46:49 +0200

hyprgraphics (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1099341)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 08 Oct 2025 16:09:53 +0200
