=== debian/changelog ===
hyprgraphics (0.3.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Nov 2025 17:50:02 +0800

hyprgraphics (0.3.0-1) experimental; urgency=medium

  * New upstream release
  * Bump shared library SONAME to 2:
    - Renamed binary package to libhyprgraphics2
  * d/control: add libhyprgraphics2 binary

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 08 Nov 2025 13:41:05 +0100
