=== debian/control ===
--- 
+++ 
@@ -35,12 +35,12 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprgraphics1 (= ${binary:Version}),
+ libhyprgraphics2 (= ${binary:Version}),
  ${misc:Depends},
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
 
-Package: libhyprgraphics1
+Package: libhyprgraphics2
 Architecture: any
 Multi-Arch: same
 Depends:
