=== debian/changelog ===
hyprgraphics (0.4.0-3) unstable; urgency=medium

  [ Julian Sax ]
  * Add -dev deps which are included in header files

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 17 Dec 2025 18:45:23 +0800

hyprgraphics (0.4.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 24 Nov 2025 14:56:00 +0800

hyprgraphics (0.4.0-1) experimental; urgency=medium

  * New upstream release
  * Bump shared library SONAME to 3:
    - Renamed binary package to libhyprgraphics3

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 21 Nov 2025 23:14:55 +0100
