=== debian/control ===
--- 
+++ 
@@ -35,12 +35,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprgraphics2 (= ${binary:Version}),
+ libhyprgraphics3 (= ${binary:Version}),
+ libcairo2-dev,
+ libhyprutils-dev (>= 0.2.2),
  ${misc:Depends},
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
 
-Package: libhyprgraphics2
+Package: libhyprgraphics3
 Architecture: any
 Multi-Arch: same
 Depends:
