=== debian/changelog ===
hyprgraphics (0.5.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 03 Jan 2026 14:18:03 +0800

hyprgraphics (0.5.0-1) experimental; urgency=medium

  * New upstream version 0.5.0
  * Rename packages for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Dec 2025 23:52:28 +0800
