=== debian/control ===
--- 
+++ 
@@ -35,14 +35,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprgraphics3 (= ${binary:Version}),
+ libhyprgraphics4 (= ${binary:Version}),
  libcairo2-dev,
  libhyprutils-dev (>= 0.2.2),
  ${misc:Depends},
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
 
-Package: libhyprgraphics3
+Package: libhyprgraphics4
 Architecture: any
 Multi-Arch: same
 Depends:
